Cortex Docs
API Reference

Health

Runtime health checks.

GET
/api/health/v1

Header Parameters

env?string

Environment override (use "test" to bypass payload encryption)

Default"test"
timezone?string

Client timezone

Default"UTC"
device?string

Client device type/details

Default"ios"
Accept-Language?string

Client language/locale preference

Default"en"

Response Body

application/json

curl -X GET "https://example.com/api/health/v1" \  -H "env: test" \  -H "timezone: UTC" \  -H "device: ios" \  -H "Accept-Language: en"
{  "code": "string",  "response": {    "status": "ok",    "services": {      "api": {        "status": "up",        "message": "string"      },      "mongo": {        "status": "up",        "message": "string"      },      "redis": {        "status": "up",        "message": "string"      }    },    "timestamp": "string"  }}